Update Email

Update a scheduled email. You can reschedule it to a new time or remove the schedule to send it immediately. Only emails with a scheduled status can be updated.

PATCH/emails/{email_id}

Resend Compatibility: Compatible

Path Parameters

email_idstringrequired

The ID of the email to update.

Body Parameters

scheduled_atstring

New scheduled time in ISO 8601 format (e.g. 2026-08-05T11:52:01.858Z) or natural language (e.g. in 1 hour). Omit to send immediately.

Response Fields

objectstring

Always "email".

idstring

The email ID.

curl -X PATCH 'https://api.postflare.app/emails/49a3999c-0ce1-4ea6-ab68-afcd6dc2e794' \
  -H 'Authorization: Bearer re_xxxxxxxxx' \
  -H 'Content-Type: application/json' \
  -d '{
    "scheduled_at": "2026-09-01T12:00:00.000Z"
  }'
import { Resend } from 'resend';

const resend = new Resend('re_xxxxxxxxx');

const { data, error } = await resend.emails.update({
  id: '49a3999c-0ce1-4ea6-ab68-afcd6dc2e794',
  scheduledAt: '2026-09-01T12:00:00.000Z',
});

Response

Response
{
  "object": "email",
  "id": "49a3999c-0ce1-4ea6-ab68-afcd6dc2e794"
}